---
updatedAt: 2025-09-22T23:14:15.000Z
agentTools:
  projectIndex: https://developers.conekta.com/v2.1.0/llms.txt
---

# Delete Webhook

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "contact": {
      "email": "engineering@conekta.com",
      "name": "Engineering Conekta",
      "url": "https://github.com/conekta/openapi/issues"
    },
    "description": "Conekta sdk",
    "license": {
      "name": "MIT-LICENSE",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Conekta API",
    "version": "2.1.0"
  },
  "servers": [
    {
      "description": "Conekta main server",
      "url": "https://api.conekta.io"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/webhooks/{id}": {
      "delete": {
        "operationId": "deleteWebhook",
        "parameters": [
          {
            "description": "Identifier of the resource",
            "example": "6307a60c41de27127515a575",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Use for knowing which language to use",
            "examples": {
              "es": {
                "summary": "for spanish request/response",
                "value": "es"
              },
              "en": {
                "summary": "for english request/response",
                "value": "en"
              }
            },
            "in": "header",
            "name": "Accept-Language",
            "required": false,
            "schema": {
              "default": "es",
              "enum": [
                "es",
                "en"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "schema": {
                  "$ref": "#/components/schemas/webhook_response"
                }
              }
            },
            "description": "successful",
            "headers": {
              "Date": {
                "description": "The date and time that the response was sent",
                "schema": {
                  "example": "Fri, 03 Feb 2023 16:57:48 GMT",
                  "type": "string"
                }
              },
              "Content-Type": {
                "description": "The format of the response body",
                "schema": {
                  "example": "application/json; charset=utf-8",
                  "type": "string"
                }
              },
              "Content-Length": {
                "description": "The length of the response body in bytes",
                "schema": {
                  "example": "2737",
                  "type": "string"
                }
              },
              "Connection": {
                "description": "The type of connection used to transfer the response",
                "schema": {
                  "example": "keep-alive",
                  "type": "string"
                }
              },
              "Conekta-Media-Type": {
                "schema": {
                  "example": "conekta-v2.1.0; format=application/json",
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "Please include your access key in your request.",
                      "param": null,
                      "code": "conekta.errors.authentication.missing_key"
                    }
                  ],
                  "log_id": "507f1f77bcf86cd799439011",
                  "object": "error",
                  "type": "authentication_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "authentication error"
          },
          "404": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The resource was not found.",
                      "param": null,
                      "code": "conekta.errors.resource_not_found.entity",
                      "debug_message": "The object Webhook \"641b1d5662d7e00001eaa46b\" could not be found."
                    }
                  ],
                  "log_id": "641b6c253cd9a50001514fae",
                  "object": "error",
                  "type": "resource_not_found_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "not found entity"
          },
          "500": {
            "content": {
              "application/vnd.conekta-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "debug_message": "There was a runtime error and Conekta engineers have been notified.",
                      "message": "There was a runtime error and Conekta engineers have been notified.",
                      "param": null,
                      "code": "conekta.errors.api.system.general_failure"
                    }
                  ],
                  "object": "error",
                  "type": "api_error",
                  "log_id": "641b6f2b3cd9a50001515098"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "internal server error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "Delete Webhook",
        "tags": [
          "Webhooks"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "error": {
        "allOf": [
          {
            "$ref": "#/components/schemas/details"
          },
          {
            "properties": {
              "log_id": {
                "description": "log id",
                "example": "507f1f77bcf86cd799439011",
                "nullable": true,
                "type": "string"
              },
              "type": {
                "example": "authentication_error",
                "type": "string"
              },
              "object": {
                "example": "error",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "err model",
        "title": "error"
      },
      "webhook_response": {
        "description": "webhooks model",
        "properties": {
          "deleted": {
            "example": false,
            "nullable": true,
            "type": "boolean"
          },
          "development_enabled": {
            "example": false,
            "type": "boolean"
          },
          "id": {
            "example": "6307a60c41de27127515a575",
            "type": "string"
          },
          "livemode": {
            "example": true,
            "type": "boolean"
          },
          "object": {
            "example": "event",
            "type": "string"
          },
          "production_enabled": {
            "example": true,
            "type": "boolean"
          },
          "status": {
            "example": "listening",
            "type": "string"
          },
          "subscribed_events": {
            "example": [
              "charge.created",
              "charge.paid",
              "charge.under_fraud_review",
              "charge.fraudulent",
              "charge.refunded",
              "charge.preauthorized",
              "charge.declined",
              "charge.canceled",
              "charge.reversed",
              "charge.pending_confirmation"
            ],
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "synchronous": {
            "example": false,
            "type": "boolean"
          },
          "url": {
            "example": "https://username:password@mockoon.stg.conekta.io/payments-api/cash/merchant_approval",
            "type": "string"
          }
        },
        "title": "webhook_response",
        "type": "object"
      },
      "details": {
        "properties": {
          "details": {
            "items": {
              "$ref": "#/components/schemas/details_error"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "details_error": {
        "properties": {
          "code": {
            "example": "conekta.errors.authentication.missing_key",
            "type": "string"
          },
          "param": {
            "nullable": true,
            "type": "string"
          },
          "message": {
            "example": "Acceso no autorizado.",
            "type": "string"
          },
          "debug_message": {
            "example": "Please include your access key in your request.",
            "type": "string"
          }
        },
        "title": "details_error",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```